#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-DH8vSFsinCd7io5A2cb4ld
key:                  ghcide-1.10.0.0-DH8vSFsinCd7io5A2cb4ld
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  919e10a12da7d90d37cbe276dc7393fb
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-DH8vSFsinCd7io5A2cb4ld
depends:
    Diff-0.4.1-93VJPKxRfUy8kQaaERgetd
    Glob-0.10.2-9A4KDshxh3pIpGxAa8ZILu
    aeson-2.1.2.1-3lugcDour1r4V4jv6ZKvkq
    aeson-pretty-0.8.10-krcHlNXHmUAtULuMyAemH array-0.5.4.0
    async-2.2.5-1HxNJ9XKRAS937bot2PgdF base-4.16.4.0
    base16-bytestring-1.0.2.0-46ZA5fToFTG4nJXF5V42II binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-BQIgiVKdDDDGmlHWIYlRBM
    co-log-core-0.3.2.2-62y0Xyi7PNbESH4dL1wEq4 containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-KqncKhIk7p5Eu7DB9BkPgC
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS deepseq-1.4.6.1
    dependent-map-0.4.0.0-9Vbpdl8bXkJ9S6iAZTLGCo
    dependent-sum-0.7.2.0-9GB9XIpNeNq4s3FJcpVlxU directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-EwvXonk1V9ImNmi3MXCRa exceptions-0.10.4
    extra-1.7.16-KspoS0yodOb8Msf7MgdZ07 filepath-1.4.2.2
    fingertree-0.1.5.0-HxonapQGgJZEyEFqFh2c8n
    focus-1.0.3.2-IfoLIwKY3yh6Kmd3UuIGbv ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-IHhseiMVQKU8k10RMLUFUi
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-BcOJHOZ6yPMAlYGy8l1fHD
    hashable-1.4.4.0-CxCIesSa4aLFiFeBLAsQal
    hie-bios-0.12.0-2Tva23lf59K9U4Ljf4mb3d
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-Gw4hdUpybo64gMvVx0zfDM
    hls-graph-1.9.0.0-HIGTq0cJNVE5tyidcLh4dr
    hls-plugin-api-1.6.0.0-DgvEuhORLrQ8ktMTAQRuR4
    implicit-hie-0.1.2.7-3wPoLYWXXnwHeFEBzpWRzZ
    implicit-hie-cradle-0.5.0.1-HyHIySkkpV1J2k6Lz3Xu7
    lens-5.2.3-LJCKq2CVV0OBzhsqfjAjcB
    list-t-1.0.5.5-FR40BfprFHIAh98jb2VDEQ
    lsp-1.6.0.0-12cisgDKGZpK41czXe4FUp
    lsp-types-1.6.0.0-463dpHwu7XHCh3whjfPg50 mtl-2.2.2
    opentelemetry-0.8.0-D4vdCxrwOrTCWx55JWb9Vj
    optparse-applicative-0.17.1.0-FmysOOLyJPZK6ulyCvrib9
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-3sUXC7BpqzpIGhzSo1HIqo
    prettyprinter-ansi-terminal-1.1.3-ENyvkzjdt7E23tVnlfaq7F
    random-1.2.1.2-4AOBQi3c93H3pMFoyiLFK6
    regex-tdfa-1.3.2.2-D3LpMz1GC7yHTJs5TZ8Rua
    safe-exceptions-0.1.7.4-8yXqOaK0ALU225KFP18Gb1
    sorted-list-0.2.2.0-9LIoxLs0F9MlHfGJiGBYA
    sqlite-simple-0.4.19.0-FxCBkxfetHWG7136TzJtwf stm-2.5.0.2
    stm-containers-1.2.1-F3vNW6VnWiv6YgAhpbZmJW
    syb-0.7.2.4-89doc1zYrrWCF1u4CgIEo3 text-1.2.5.0
    text-rope-0.2-7Pt4iu7b34w46jxuDCWTOF time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-EriphGGHrXD5yi0NJAVhR6
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-2iyjFoh2jxC3XOaFpxfD6Q
    vector-0.13.1.0-HRMJcTNtHmH9PMIsGjP73X

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

